<div class="row">
  <div id="map"></div>
  <div *ngIf="showmodel">
    <div class="card-body">
      <h5 class="card-title">Parcel Creation</h5>
      <form [formGroup]="parcelFrom">
        <input formControlName="parcelname" placeholder="Parcelname">
        <input formControlName="area" readonly>
        <button type="submit" (click)="createparcel()">Create</button>
      </form>
    </div>
  </div>
  <div style="margin-top: -33%;
  margin-left: 45%;
  width: 50%;">
   <h5 class="card-title">Parcel Details</h5>
    <p-table [value]="parceldtls" [rows]=6>

      <ng-template pTemplate="header">
        <tr>
          <th>Sno</th>
          <th>Parcel Name</th>
          <th>Area(ha)</th>
          <th>Action</th>

        </tr>
      </ng-template>


      <ng-template pTemplate="body" let-parceldtls let-i="rowIndex">

        <tr>
          <td class="ptcol"> {{i+1}}</td>
          <td class="text-left ptcol"><span class="textellipsis18">{{parceldtls.parcelname}}</span></td>
          <td class="text-left ptcol"><span class="textellipsis18">{{parceldtls.area}}</span></td>
          <td class="text-left ptcol"><button (click)="viewlocation(i)">Viewlocation</button></td>


        </tr>
      </ng-template>
    </p-table>
    <!-- <h6 *ngIf="userdetails.length == 0">No Data to display</h6> -->
  </div>
</div>
<hr />